clang 8.0.0

Namespaces | Enumerations | Functions
Attributes.h File Reference
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/TargetInfo.h"`
Include dependency graph for Attributes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Enumerations
enum | clang::AttrSyntax { clang::AttrSyntax::GNU, clang::AttrSyntax::Declspec, clang::AttrSyntax::Microsoft, clang::AttrSyntax::CXX, clang::AttrSyntax::C, clang::AttrSyntax::Pragma }

## Functions
int | clang::hasAttribute (AttrSyntax Syntax, const IdentifierInfo *Scope, const IdentifierInfo *Attr, const TargetInfo &Target, const LangOptions &LangOpts)
| Return the version number associated with the attribute if we recognize and implement the attribute specified by the given information. More...